RDKit: RDKit::RandomSampleAllBBsStrategy Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RandomSampleAllBBsStrategy Class Reference

`#include <RandomSampleAllBBs.h>`

Inheritance diagram for RDKit::RandomSampleAllBBsStrategy:

## Public Member Functions
| RandomSampleAllBBsStrategy ()
void | initializeStrategy (const ChemicalReaction &, const EnumerationTypes::BBS &) override
const char * | type () const override
const EnumerationTypes::RGROUPS & | next () override
| The current permutation {r1, r2, ...}.
boost::uint64_t | getPermutationIdx () const override
| Returns how many permutations have been processed by this strategy.
| operator bool () const override
EnumerationStrategyBase * | copy () const override
| copy the enumeration strategy complete with current state
void | initialize (const ChemicalReaction &reaction, const EnumerationTypes::BBS &building_blocks)
Public Member Functions inherited from RDKit::EnumerationStrategyBase
| EnumerationStrategyBase ()
virtual | ~EnumerationStrategyBase ()
void | initialize (const ChemicalReaction &reaction, const EnumerationTypes::BBS &building_blocks)
const EnumerationTypes::RGROUPS & | getPosition () const
| The current position in the enumeration.
boost::uint64_t | getNumPermutations () const
bool | skip (boost::uint64_t skipCount)

## Additional Inherited Members
Static Public Attributes inherited from RDKit::EnumerationStrategyBase
static const boost::uint64_t | EnumerationOverflow
Protected Member Functions inherited from RDKit::EnumerationStrategyBase
void | internalInitialize (const EnumerationTypes::RGROUPS &rgroups)
Protected Attributes inherited from RDKit::EnumerationStrategyBase
EnumerationTypes::RGROUPS | m_permutation
EnumerationTypes::RGROUPS | m_permutationSizes
boost::uint64_t | m_numPermutations {}

## Detailed Description

RandomSampleAllBBsStrategy Randomly sample rgroup indices This is a class for randomly enumerating reagents that ensures all reagents are sampled.

basic usage:

    std::vector<MOL_SPTR_VECT> bbs;
    bbs.push_back( bbs_for_reactants_1 );
    bbs.push_back( bbs_for_reactants_2 );

    RandomSampleAllBBsStrategy rgroups;
    rgroups.initialize(rxn, bbs);
    for(size_t i=0; i<num_samples && rgroups; ++i) {
      MOL_SPTR_VECT rvect = getReactantsFromRGroups(bbs, rgroups.next());
      std::vector<MOL_SPTR_VECT> lprops = rxn.RunReactants(rvect);
      ...
    }

See EnumerationStrategyBase for more details and usage.

Definition at line 68 of file RandomSampleAllBBs.h.

## Constructor & Destructor Documentation

## ◆ RandomSampleAllBBsStrategy()

RDKit::RandomSampleAllBBsStrategy::RandomSampleAllBBsStrategy | ( |  | ) |
| inline

Definition at line 78 of file RandomSampleAllBBs.h.

References RDKit::EnumerationStrategyBase::EnumerationStrategyBase(), and RDKit::EnumerationStrategyBase::m_permutation.

Referenced by copy().

## Member Function Documentation

## ◆ copy()

EnumerationStrategyBase * RDKit::RandomSampleAllBBsStrategy::copy | ( |  | ) | const
| inlineoverridevirtual

copy the enumeration strategy complete with current state

Implements RDKit::EnumerationStrategyBase.

Definition at line 129 of file RandomSampleAllBBs.h.

References RDKit::EnumerationStrategyBase::EnumerationStrategyBase(), and RandomSampleAllBBsStrategy().

## ◆ getPermutationIdx()

boost::uint64_t RDKit::RandomSampleAllBBsStrategy::getPermutationIdx | ( |  | ) | const
| inlineoverridevirtual

Returns how many permutations have been processed by this strategy.

Implements RDKit::EnumerationStrategyBase.

Definition at line 123 of file RandomSampleAllBBs.h.

## ◆ initialize()

void RDKit::EnumerationStrategyBase::initialize | ( | const ChemicalReaction & | reaction,
|  | const EnumerationTypes::BBS & | building_blocks )
| inline

Initialize the enumerator based on the reaction and the supplied building blocks This is the standard API point. This calls the derived class's initializeStrategy method which must be implemented

Definition at line 145 of file EnumerationStrategyBase.h.

## ◆ initializeStrategy()

void RDKit::RandomSampleAllBBsStrategy::initializeStrategy | ( | const ChemicalReaction & | ,
|  | const EnumerationTypes::BBS & | )
| inlineoverridevirtual

Implements RDKit::EnumerationStrategyBase.

Definition at line 89 of file RandomSampleAllBBs.h.

References RDKit::EnumerationStrategyBase::m_permutation, and RDKit::EnumerationStrategyBase::m_permutationSizes.

## ◆ next()

const EnumerationTypes::RGROUPS & RDKit::RandomSampleAllBBsStrategy::next | ( |  | ) |
| inlineoverridevirtual

The current permutation {r1, r2, ...}.

Implements RDKit::EnumerationStrategyBase.

Definition at line 106 of file RandomSampleAllBBs.h.

References RDKit::EnumerationStrategyBase::m_permutation, and RDKit::EnumerationStrategyBase::m_permutationSizes.

## ◆ operator bool()

RDKit::RandomSampleAllBBsStrategy::operator bool | ( |  | ) | const
| inlineoverridevirtual

returns true if there are more permutations left random enumerators may always return true...

Implements RDKit::EnumerationStrategyBase.

Definition at line 127 of file RandomSampleAllBBs.h.

## ◆ type()

const char * RDKit::RandomSampleAllBBsStrategy::type | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::EnumerationStrategyBase.

Definition at line 103 of file RandomSampleAllBBs.h.

The documentation for this class was generated from the following file:

- RandomSampleAllBBs.h